//ALGSAMP1 JOB (ALGOL),
//             'ALGOL Sample Program',
//             CLASS=A,
//             MSGCLASS=A,
//             REGION=1024K,COND=(0,NE),MSGLEVEL=(1,1),
//             USER=%user%,
//             PASSWORD=%pass%
//********************************************************************
//*
//* Name: SYS2.JCLLIB(ALGSAMP1)
//*
//* Desc: IBM Algol F Level 2.1 IVP
//*
//********************************************************************
//*
//*       360S-AL-531 Algol F Compiler
//*            and
//*       360S-LM-532 Algol F Library
//*
//IVP1   EXEC  ALGOFCLG
//ALGOL.SYSIN  DD  *
     'BEGIN'
      'COMMENT' TEST PROGRAM Q09
                MODIFIED FOR IBM ALGOL F LEVEL 2.1 IVP

                GENERATE AND PRINTS THE FIRST TWENTY
                LINES OF PASCALS TRIANGLE

           THE K TH ELEMENT P(K,J) OF THE J TH LINE SHOULD BE
           EQUAL TO THE SUM OF P(K-1,J-1) AND P(K,J-1) FOR K ^= 0
           AND K ^= J. P(0,J)=P(J,J)=1
           THUS BY ADDING TWO BY TWO ALL ELEMENTS IN ONE LINE
           PLACING EACH SUM BELOW AND BETWEEN THE TWO ELEMENTS THE
           NEXT LINE OF PASCALS TRIANGLE COULD BE EXPANDED ;

      'INTEGER' l,k,n,i,m,Powerten;
      'INTEGER' 'ARRAY' a[0:19];
      'BOOLEAN' c;
      SYSACT(1,6,120);
      SYSACT(1,8,62);
      SYSACT(1,12,1);
      SYSACT(1,2,56);
      OUTSTRING (1,'('Pascals Triangle')');
      'FOR' l := 0 'STEP' 1 'UNTIL' 19 'DO'
       'BEGIN'
        SYSACT(1,14,3);
        'IF' l < 19 'THEN'
          SYSACT(1,2,58-3*l);
        a[l] := 1;
        'FOR' k := l-1 'STEP' -1 'UNTIL' 1 'DO'
         a[k] := a[k-1] + a[k];
         'FOR' K :=0 'STEP' 1 'UNTIL' L 'DO'
          'BEGIN'
           c := 'TRUE';
           m := a[k];
           'FOR' I := 5 'STEP' -1 'UNTIL' 0 'DO'
            'BEGIN'
              Powerten := 10 ** I;
              n := m '/' Powerten;
              m := m-n * Powerten;
              'IF' n 'EQUAL' 0 'THEN'
               'BEGIN'
                'IF' c 'THEN' OUTSYMBOL (1,'(' ')',1)
                  'ELSE' OUTSYMBOL (1,'('0')',1);
               'END'
                'ELSE'
                 'BEGIN'
                  c := 'FALSE';
                  OUTSYMBOL(1,'('123456789')',N);
                 'END'
            'END'
          'END'
       'END'
      'END'
/*
//AMBLIST  EXEC PGM=AMBLIST
//*
//*        DEMONSTRATE LANGUAGE TRANSLATOR ID FOR ALGOL F
//*        PROGRAMS AND TIME OF COMPILATION
//*
//SYSPRINT  DD  SYSOUT=*
//SYSLIB    DD  DSN=&&GOSET,DISP=(OLD,PASS)
//SYSIN     DD  *
        LISTIDR  MEMBER=GO
/*
//                                              	