//TESTSIMU JOB (SIMULA),
//             'Test SIMULA 67',
//             CLASS=A,
//             MSGCLASS=A,
//             REGION=1M,
//             MSGLEVEL=(1,1),
//             USER=%user%,
//             PASSWORD=%pass%
//********************************************************************
//*
//* Name: SYS2.JCLLIB(TESTSIMU)
//*
//*
//********************************************************************
//SIMULA  EXEC SIM
//SYSIN   DD *
Simulation begin
   comment Erathostenes' Sieve,
           adapted from Ole-Johan Dahls 1966-paper';

   process class sieve(prime); integer prime;
        begin
           outint(prime, 5);
           L: if nextev.evtime - time > 2 then
                activate new sieve(time + 2) delay 2;
              hold(2 * prime);
              go to L;
        end sieve;

   Outtext( "Primes smaller than 10000:" );
   Outimage; Outimage;

   outint(2, 5);
   activate new sieve(3) at 3;
   hold(10000)
end Simulation
/*
//