<?php
include("../lib/common.php");
if ( ! SECURED)
	header("location: ../index.php");

session_start();
include("../lib/db.php");

$error = "";
if($_SERVER["REQUEST_METHOD"] === "POST" && isset($_POST['username']) && isset($_POST['password'])) {
	// username and password sent from form 
	$db = mysqli_connect(DB_SERVER,DB_USERNAME,DB_PASSWORD,DB_DATABASE);
	$myusername = mysqli_real_escape_string($db,$_POST['username']);
	$mypassword = $_POST['password'];
      
	$sql = "SELECT * FROM users WHERE username = '$myusername'";
	$result = mysqli_query($db,$sql);

	if ( !$result )
	      header("location: ../index.php?error=".urlencode("Unable to access users database"));
	$row = mysqli_fetch_array($result,MYSQLI_ASSOC);
	$count = mysqli_num_rows($result);

	if($count === 1 && password_verify($mypassword, $row['password'])) {
		$_SESSION['session_user'] = $myusername;
		 
		// unload all attributes, apart from the hashed password, into _SESSION so we can easily access them later
		// this also means this is the only database access within the site.
		foreach ($row as $col_name => $col_value)
			$_SESSION[$col_name] = $col_value;

		// now unload the authorised tabs
		$sql = "SELECT * FROM features WHERE id = ".$row['id'];
		$result = mysqli_query($db,$sql);
		if ( !$result )
		      header("location: ../index.php?error=".urlencode("Unable to access features information"));
		while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
			$_SESSION[$row['object']] = 1;
		}
				
		header("location: ../index.php");
	} else {
		header("location: ../index.php?error=".urlencode("Your Login Name or Password is invalid"));
		
	}
}
?>