 <?php
 // entry page for the MVS Ops suite

require_once("lib/common.php");
$secured = check_auth_ok();

?>
<!DOCTYPE html>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<html>
<title>
MVS Control (<?php echo gethostname(); ?>)
</title>
<head>

<link rel="stylesheet" type="text/css" href="lib/core.css" media="screen" >
</head>
<body>
<header>
<?php
do_header("MVS Control");
if (isset($_GET['error'])) {
?>
	<div style = "font-size:20px; color:#FF0000;"><b><?php echo $_GET['error']; ?></b></div>
<?php
}
?>
</header>
<nav>
<?php
	if (SECURED) {		// offer login/logout selection
		if(!isset($_SESSION['session_user'])){
?>
			<form name="login" action="admin/login.php" method="POST">
			<b>Username: <b><input type = "text" name = "username" >
			<b>Password: <b><input type = "password" name = "password">
			<input type="submit" value="Login"  class="button" style='display:inline; background-color:green;'>
			</form>
<?php
		} else {
			
?>
			<form name="logout" action="admin/logout.php" method="POST">
			Logged in as <b><?php echo $_SESSION['session_user'];?></b>
			<input type="submit" value="Logout"  class="button" style='display:inline; background-color:green;'>
			</form>
<?php
		}
		echo "<hr>";
	}

// offer documentation if available
if (is_readable("MVS Ops.pdf")) {
		echo "<a href=\"MVS Ops.pdf\">Documentation</a>\n";
}

if (count($sites)> 1) {
	echo "<br><br>Select the MVS system from the list below<br>\n";
	echo "<form name=\"system\" method=\"post\"><select name=\"system\" onChange=\"javascript:this.form.submit();\">\n";
	foreach ($sites as $key => $s)
		echo "<option value=\"$key\" ".(($cursite === $key) ? "selected" : "").">$key</option>\n";
	echo "</select></form>\n";
}

?>
<br><br>
Select the device you want to access from the links below.
<br><br>
<?php 
show_nav();
// offer downloadable link to software package if available
if (is_readable("mvs_ops.zip")) {
	echo "<br><br><a href=\"mvs_ops.zip\">Download MVS Ops</a>\n";
}
?>
</nav>
<article>
<div class="image_selector">
<?php echo "<h2>".$sites[$cursite]["Description"]."</h2>";
?>
<img src="image/3033.jpg" usemap="#Map" class="img_in_selector">
IBM 3033 announced March 1977 withdrawn from marketing February 1985.
</div>
</article>
</body>
</html>