//JES2JOB  JOB (9999,7172,1000,1000),'GENERATE OS/VS2 HASP',           C00000500
//             MSGLEVEL=(1,1),CLASS=B,USER=%user%,PASSWORD=%pass%       00001000
//*-----------------------------------------------------------------***
//*    Job to rebuild JES from source and linkedit                  ***
//*    Replaces running JES                                         ***
//*-----------------------------------------------------------------***
//*    Allocate new SYS1.HASPOBJ data set. Delete any previous      ***
//*-----------------------------------------------------------------***
//DELETE   EXEC PGM=IDCAMS      
//SYSPRINT DD SYSOUT=*          
//SYSIN    DD *                
   DELETE SYS1.HASPOBJ 
/*
//ALLOC   EXEC PGM=IEFBR14,COND=(8,LT,DELETE)
//HASPOBJ  DD  DSN=SYS1.HASPOBJ,
//             DISP=(NEW,CATLG),
//             UNIT=SYSDA,
//             SPACE=(CYL,(5,,8))
//*-----------------------------------------------------------------***
//*    Assemble the JES modules                                     ***
//*-----------------------------------------------------------------***
//DOC     EXEC HASPASM,A=A,PARM.ASM='DECK,XREF(FULL)'                   00001500
//SSSM    EXEC HASPASM,A=A,MODULE=HASPSSSM,                            C00002000
//             COND=(0,LT,DOC.ASM)                                      00002500
//XEQ     EXEC HASPASM,A=A,MODULE=HASPXEQ,                             C00003000
//             COND=(0,LT,DOC.ASM)                                      00003500
//NUC     EXEC HASPASM,A=A,MODULE=HASPNUC,                             C00004000
//             COND=(0,LT,DOC.ASM)                                      00004500
//INIT    EXEC HASPASM,A=A,MODULE=HASPINIT,                            C00005000
//             COND=(0,LT,DOC.ASM)                                      00005500
//COMM    EXEC HASPASM,A=A,MODULE=HASPCOMM,                            C00006000
//             COND=(0,LT,DOC.ASM)                                      00006500
//PRPU    EXEC HASPASM,A=A,MODULE=HASPPRPU,                            C00007000
//             COND=(0,LT,DOC.ASM)                                      00007500
//RTAM    EXEC HASPASM,A=A,MODULE=HASPRTAM,                            C00008000
//             COND=(0,LT,DOC.ASM)                                      00008500
//RDR     EXEC HASPASM,A=A,MODULE=HASPRDR,                             C00009000
//             COND=(0,LT,DOC.ASM)                                      00009500
//ACCT    EXEC HASPASM,A=A,MODULE=HASPACCT,                            C00010000
//             COND=(0,LT,DOC.ASM)                                      00010500
//MISC    EXEC HASPASM,A=A,MODULE=HASPMISC,                            C00011000
//             COND=(0,LT,DOC.ASM)                                      00011500
//CON     EXEC HASPASM,A=A,MODULE=HASPCON,                             C00012000
//             COND=(0,LT,DOC.ASM)                                      00012500
//*********************************************************************
//*
//*                       MVS 3.8 SYSGEN
//*                       ==============
//*
//* DESC: Link JES2 and build checkpoint
//*
//*********************************************************************
//*
//JES2    EXEC PGM=IEWL,PARM='XREF,LET,LIST,NCAL'
//SYSPRINT DD  SYSOUT=*
//SYSUT1   DD  DSN=&&SYSUT1,UNIT=SYSDA,SPACE=(1024,(50,20))
//SYSLMOD  DD  DSN=SYS1.LINKLIB,DISP=SHR,UNIT=3350,VOL=SER=MVSRES
//HASPOBJ  DD  DSN=SYS1.HASPOBJ,DISP=SHR,UNIT=SYSDA
//SYSLIN   DD  *
       ORDER HASPNUC
       ORDER HASPRDR
       ORDER HASPRDRO
       ORDER HASPRSCN
       ORDER HASPXEQ
       ORDER HASPPRPU
       ORDER HASPACCT
       ORDER HASPMISC
       ORDER HASPCON
       ORDER HASPRTAM
       ORDER HASPCOMM
       ORDER HASPCOMA
       ORDER HASPINIT(P)
       INCLUDE HASPOBJ(HASPNUC)
       INCLUDE HASPOBJ(HASPRDR)
       INCLUDE HASPOBJ(HASPXEQ)
       INCLUDE HASPOBJ(HASPPRPU)
       INCLUDE HASPOBJ(HASPACCT)
       INCLUDE HASPOBJ(HASPMISC)
       INCLUDE HASPOBJ(HASPCON)
       INCLUDE HASPOBJ(HASPRTAM)
       INCLUDE HASPOBJ(HASPCOMM)
       INCLUDE HASPOBJ(HASPINIT)
       PAGE    HASPINIT
       NAME    HASJES20(R)
       INCLUDE HASPOBJ(HASPBLKS)
       NAME    HASPBLKS(R)
       INCLUDE HASPOBJ(HASPFMT0)
       NAME    HASPFMT0(R)
       INCLUDE HASPOBJ(HASPFMT1)
       NAME    HASPFMT1(R)
       INCLUDE HASPOBJ(HASPFMT2)
       NAME    HASPFMT2(R)
       INCLUDE HASPOBJ(HASPFMT3)
       NAME    HASPFMT3(R)
       INCLUDE HASPOBJ(HASPFMT4)
       NAME    HASPFMT4(R)
       INCLUDE HASPOBJ(HASPFMT5)
       NAME    HASPFMT5(R)
//SSSM     EXEC PGM=IEWL,PARM='XREF,LIST,LET,NCAL'
//SYSPRINT DD  SYSOUT=*
//SYSUT1   DD  DSN=&&SYSUT1,UNIT=SYSDA,SPACE=(1024,(50,20))
//SYSLMOD  DD  DSN=SYS1.LPALIB,DISP=SHR,UNIT=3350,VOL=SER=MVSRES
//HASPOBJ  DD  DSN=SYS1.HASPOBJ,DISP=SHR,UNIT=SYSDA
//SYSLIN   DD  *
       INCLUDE HASPOBJ(HASPSSSM)
       NAME    HASPSSSM(R)
//
