<?php
include("../lib/common.php");
$secured = check_auth_ok();

if ( ! SECURED || ! isset($_SESSION["session_user"])) {
	header('HTTP/1.0 401 Unauthorized');
	echo "<h1>You are not logged in.</h1>";
	exit(1);
}

include("../lib/db.php");	
$error = "";
if($_SERVER["REQUEST_METHOD"] === "POST" && isset($_POST['new']) && isset($_POST['old']) && isset($_POST['new2'])) {
	// username and password sent from form 
   	$db = mysqli_connect(DB_SERVER,DB_USERNAME,DB_PASSWORD,DB_DATABASE);   
	$myusername = mysqli_real_escape_string($db,$_SESSION['username']);

	$sql = "SELECT password FROM users WHERE username = '$myusername'";

	$result = mysqli_query($db,$sql);
	if ( !$result )
	      die("Query failed");
	$row = mysqli_fetch_array($result,MYSQLI_ASSOC);
	$count = mysqli_num_rows($result);

	if($count === 1 && password_verify($_POST['old'], $row['password'])) {
		if ($_POST['new'] === $_POST['new2']) {
			$sql = 'UPDATE users SET password ="'.password_hash($_POST['new'], PASSWORD_DEFAULT).'"';
			$sql .= ' WHERE id = "'.$_SESSION['id'].'"';
			echo $sql;
			$result = mysqli_query($db,$sql);
			if ( !$result )
				$error = "Password change failed ".$db->error;
			else
				header("location: ../index.php");
		} else		
			$error = "New passwords do not match";
		//
	} else {
		$error = "Your old password does not match current password";
	}
}
?>
<!DOCTYPE html>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<html>
<title>
MVS Control Change Password (<?php echo gethostname(); ?>)
</title>
<head>

<link rel="stylesheet" type="text/css" href="../lib/core.css" media="screen" >
</head>
<body>
<header>
<?php
do_header("MVS Control Change Password");
if (isset($_GET['error'])) {
	echo $_GET['error'];
}
?>
</header>
   <body bgcolor = "#FFFFFF">
      <div align = "center">
         <div style = "width:500px; border: solid 1px #333333; " align = "left">
            <div style = "margin:30px">
               <form action = "" method = "post">
                  <label>Old Password : </label><input type = "password" name = "old" class = "box"/><br /><br />
                  <label>New Password : </label><input type = "password" name = "new" class = "box" /><br/><br />
                  <label>Confirm Password : </label><input type = "password" name = "new2" class = "box" /><br/><br />
                  <input type = "submit" value = "Change Password"/><br/><br>
		  <input type = "button" value = "Cancel" onclick="window.history.back();"/><br>
               </form>  
               <div style = "font-size:14px; color:#cc0000; margin-top:10px"><?php echo $error; ?></div>				
            </div>			
         </div>			
      </div>
   </body>
</html>