<?php
// defines the "green bar" colours that are usable for printed output display
$colours = array( 
	"green" => array(192, 230, 192),
	"red"   => array(250, 192, 192),
	"blue"  => array(150, 180, 250),
	"gray"	=> array(216, 216, 216),
	"yellow"=> array(250, 250, 150),
	"white" => array(255, 255, 255)
	);

function getBarColourName($class = null, $type = null)
{
	global $colours, $MVSControl;
	
	if (isset($_REQUEST["colour"]) && array_key_exists($_REQUEST["colour"], $colours))
		return $_REQUEST["colour"];
		
	if ($class && $type)
		if (array_key_exists("/$class/$type", $MVSControl["colour"]))
			return $MVSControl["colour"]["/$class/$type"];
	return  $MVSControl["colour"]["default"];

}

function getBarColourRGB($colour)
{
	global $colours;
	
	return $colours[$colour];
}

function getBarColourHex($colour)
{
	global $colours;
	
	return sprintf("#%02x%02x%02x", ...$colours[$colour]);
}
?>