<?php
function list_html($fp, $title, $description, $url_selector, $bar_colour = "#C0E6C0")
{
?>

<!DOCTYPE html>
<html>
<head>
<meta http-equiv="X-UA-Compatible" content="IE=edge" >
<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<meta content="utf-8" http-equiv="encoding">
<meta name="viewport" content="width=device-width">
<title>
<?php echo $title; ?>
</title>
<link rel="stylesheet" type="text/css" href="../lib/core.css" media="screen" >
<script type="text/javascript" src="../lib/listfile.js"></script>

</head>

<body>
<div class="page_selector">
<table><tr><td>
<?php 
	print($description);
?>
&nbsp;&nbsp;&nbsp;&nbsp; <b>Goto Page</b> <input type="text" id="gotopage" value="" size="5" onchange="enteredPage();" >
&nbsp;&nbsp;&nbsp;&nbsp;
<b>Download:</b>
<a href="../printer/download.php?download=text<?php print $url_selector; ?>">LST</a>&nbsp;
<a href="../printer/download.php?download=pdf<?php  print $url_selector; ?>">PDF-1up</a>&nbsp;
<a href="../printer/download.php?download=pdf&layout=P<?php  print $url_selector; ?>">PDF-2up</a>&nbsp;
<a href="../printer/download.php?download=pdf&layout=Q<?php  print $url_selector; ?>">PDF-4up</a>
<br>
<div id="pagelist" style="text-align: center;">Loading...</div>
</td></tr></table>
</div>

<div class="list_page" >
<?php
$page = 1;
$newpage = 1;      // force page 1 start div in loop below
$line = 0;

while( $l = fgets($fp)) {
	$line++;
	$len = strlen($l);
	if ($line == 66) {
		$newpage = 1;
		print "</pre></div>";
	}	
	for ($i = 0 ; $i < $len; $i++) {
		if ($newpage) {
			print ('<div class="page_nav">');
			if ($page > 1) {
				print ('<a href="#1" onclick="gotoPage(1);">Top</a>&nbsp;');
				print ('<a href="#'.($page - 1).'" onclick="gotoPage('.($page - 1).');">Prev</a>&nbsp;');
			}
			print ('<a id="'.$page.'"><b>Page '.$page.'</b></a>&nbsp;');
			print ('<a href="#'.($page + 1).'" onclick="gotoPage('.($page + 1).');">Next</a>');
			print ('<br></div>'); // end page_nav
			print ('<div class="page" style="background-image:linear-gradient(white 50%,'.$bar_colour.' 50%);">');
			print ('<pre class="printer">');
			$newpage = 0;
			$page++;
			$line = 0;
		}
		$char = $l[$i];

		if ($char == "\f") {
			print "</pre></div><br>\n";	// end page
			$newpage = 1;
		}
		elseif ($char == "&")
			print "&amp;";
		elseif ($char == "<")
			print "&lt;";
		elseif ($char == ">")
			print "&gt;";
		elseif ($char == "\n")
			print "\n";
		elseif ($char == "\r")
			;		# MVS/Hercules seems to emit \r at odd times, drop it
		elseif ($char >= " ")
			print $char;
	}
}

$page--;				// as pre-incremented
if ( ! $newpage) 			// set only if FF last char in file
	print "</pre></div><br>\n";	// emit missing end of div
?>
</div>
<script>
	// remember page count and  build URL list for clickable pages 
	setPageCount(<?php print $page; ?>);
	displayPageList(1);
</script>
</body>
</html>
<?php
}
?>
